'use strict'

const promisify = require('./')

function sum (a, b, callback) {
  callback(null, a + b)
}

let promisifiedSum = promisify(sum)

promisifiedSum(1, 2).then(sum => {
  console.log(sum) // --> 3
})
